# Double Helix Toothbrush Holder

MCGIT     : https://mcgit.place/MatCat-Models/Double_Helix_Toothbrush_Holder

Printables: https://www.printables.com/model/713927-double-helix-toothbrush-holder

Copyright Matthew McClain 2024

	This is a fun decorative toothbrush holder based on the idea of the DNA double helix.  This model is fully parametric using OpenSCAD.  There are 2 OpenSCAD files included, one is a standard toothbrush holder designed to hold normal standard toothbrushes, and an Oral-B version designed to hold Oral-B electric toothbrushes.  There are STL models included  for 2-6 standard toothbrushes, and for 2-5 Oral-B toothbrushes.  

	Note on using OpenSCAD parametrics:  This is actually a fairly complex model to render, it may take a while (up to an hour on slower systems), you can speed this up by increasing the step parameter, or decreasing the $fn parameter, though keep in mind the more you adjust those parameters the more blocky / low poly the result will be, and inversely the smoother the output will be, at a sacrifice of time taken to render.

	For printing support should not be required on most models, though on versions with lower toothbrush tubes it may be required only on the very top ring.

## License

	You are free to use this code for personal use.  If you alter or include this code in your own projects you must include credit to my name and a link to this project either to the printables.com page, or mcgit repository.

	Commercial use is prohibited without a commercial license.  This includes either selling the code or model files derived from the code, as well as printing for the purpose of selling.  I am more then happy to offer a commerical license for a reasonable offer.  

	Please contact me via printables.com or mcgit if you are interested in a commercial license.

## Parameters

	There are 9 parameters to this model as follows

* height: The height of the helix in mm.  The total model height will be this height + thickness/2 +1-2
* steps: This setting will control the granularity of the design, a lower number will result in smoother model but take much longer to render
* radius: The radius of the entire toothbrush holder
* thickness: The radius of the helix spirals
* brushhole: This is the diameter of the hole the toothbrish will sit in
* tubethickness: This will be the tube wall thickness of the toothbrush holder
* floorthickness: The thickness from the bottom of the model to floor of brush tube
* drainholediam: The diameter of the drain hole at the buttom of each brush tube
* brushes: Total number of toothbrushes the holder will have

